﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using Steema.TeeChart;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace tchart_sample_app2
{
    public partial class Form1 : Form
    {

        private FastLine series;
        private FastLine series1;
        private FastLine series2;
        //private FastLine series3;
        //private FastLine series4;
        //private FastLine series5;

        public Form1()
        {
            InitializeComponent();

            series = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            series1 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            series2 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            //series3 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            //series4 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            //series5 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            tChart1.Axes.Bottom.AutomaticMinimum = false;
            tChart1.Axes.Bottom.AutomaticMaximum = false;

            series.XValues.DateTime = true;
            series1.XValues.DateTime = true;
            series2.XValues.DateTime = true;
            //series3.XValues.DateTime = true;
            //series4.XValues.DateTime = true;
            //series5.XValues.DateTime = true;
            tChart1[0].FillSampleValues(100000);
            tChart1[1].FillSampleValues(100000);
            tChart1[2].FillSampleValues(100000);
            //tChart1[3].FillSampleValues(100000);
            //tChart1[4].FillSampleValues(100000);
            //tChart1[5].FillSampleValues(100000);

            series.DrawAllPoints = false;
            series.LinePen.Width = 2;
            series.LinePen.Color = Color.Green;
            
            series1.DrawAllPoints = false;
            series1.LinePen.Width = 3;
            series1.LinePen.Color = Color.Blue;
            series1.LinePen.Style = System.Drawing.Drawing2D.DashStyle.Dash;
            setupNewAxis(series1, "Left");

            series2.DrawAllPoints = false;
            series2.LinePen.Width = 3;
            series2.LinePen.Color = Color.Brown;
            setupNewAxis(series2, "Right");

            //series3.DrawAllPoints = false;
            //series3.LinePen.Width = 3;
            //series3.LinePen.Color = Color.Black;
            //series3.LinePen.Style = System.Drawing.Drawing2D.DashStyle.Dash;
            //////setupNewAxis(series3, "Left");

            //series4.DrawAllPoints = false;
            //series4.LinePen.Width = 3;
            //series4.LinePen.Color = Color.Gray;
            //////setupNewAxis(series2, "Right");

            //series5.DrawAllPoints = false;
            //series5.LinePen.Width = 3;
            //series5.LinePen.Color = Color.Gold;
            //////setupNewAxis(series2, "Right");
            

            for (int i = 0; i < 250; i++)
            {
                tChart1.Axes.Bottom.Minimum = series.XValues[0] + i;
                tChart1.Axes.Bottom.Maximum = series.XValues[0] + 10 + i;
                tChart1.Refresh();
                Thread.Sleep(10);
            }
        }

        private void setupNewAxis(Series series, string side)
        {
            Axis axis = new Axis(false, true, tChart1.Chart);
            axis.Horizontal = false;
            axis.PositionUnits = Steema.TeeChart.PositionUnits.Percent;
            axis.Grid.Visible = false;
            axis.Visible = true;
            axis.AxisPen.Color = series.Color;
            tChart1.Axes.Custom.Add(axis);

            if (side == "Right")
            {
                axis.OtherSide = true;
            }
            else if (side == "Left")
            {
                axis.OtherSide = false;
            }
            series.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Custom;
            series.CustomVertAxis = axis;
            series.CustomVertAxis.PositionUnits = PositionUnits.Pixels;
            series.CustomVertAxis.RelativePosition = -40;
            //doAutoScale(series);
        }
    }
}
